--[[-----------------------------------------------------------------

	SqueeG's MainBar v. 0.5

	Copyright (c) 2009, Joe S (SqueeG - wowace.com)
	All rights reserved.
	  
--]]-------------------------------------------------------------
--Note to self: IsShown and IsVisibile are different

----------------
--   Debug    --
----------------

--[[if LibDebug then 
	DEFAULT_CHAT_FRAME:AddMessage("SquishBar: LibDebug found")
	LibDebug()
end		--Check for, and call for, LibDebug
]]--
--[[
if not LibDebug then error("SquishBar: No LibDebug found")
	elseif LibDebug then LibDebug()
			DEFAULT_CHAT_FRAME:AddMessage("SquishBar: LibDebug found")
end
]]--
--local defaultIcon = "Interface\\Icons\\INV_torch_unlit.png"
--local lock = false

local SBar = LibStub('LibDataBroker-1.1'):NewDataObject('SBar', {
	icon	= 'Interface\\Icons\\INV_torch_unlit.png',
	label	= 'SquishBar',
	text	= 'SBar error',
	type	= 'data source',
})

--[[	Locals	]]--
local b = BonusActionBarFrame

local showme
local SquishBar = CreateFrame("Frame")

SquishBar:SetScript("OnEvent",
						function(self, event, ...)
							showme = b:IsShown()
							print("Startup: ",showme)
						end)
SquishBar:RegisterEvent("PLAYER_ALIVE")

----------------
-- the config --
----------------

	local Bscale = 0.6		-- MainBar scale
	local Sscale = 1.0		-- Shapeshift scale
	local Vscale = 0.8		-- Vehicle UI scale

-----------------------
-- a short main bar! --
-----------------------

MultiBarRight:ClearAllPoints()
MultiBarRight:SetPoint("RIGHT", -8, 0)
	
local sgMainBar_Scale = {
	MainMenuBar,
	MultiBarBottomLeft,
	MultiBarBottomRight,
	MultiBarRight,
	MultiBarLeft,
}   

	for _, bar in pairs(sgMainBar_Scale) do
		bar:SetScale(Bscale)
	end

	ShapeshiftBarFrame:SetScale(Sscale)

	VehicleMenuBar:SetScale(Vscale)

-----------------------
-- Where iz da Bah?! --
-----------------------
--[[
local TitleRegion = MainMenuBar:GetTitleRegion()
if TitleRegion then DEFAULT_CHAT_FRAME:AddMessage("SquishBar: "..Titleregion)
	else
	DEFAULT_CHAT_FRAME:AddMessage("SquishBar: No TitleRegion")
end
]]--
MainMenuBar:SetClampedToScreen(true)
MainMenuBar:SetMovable(true)
MainMenuBar:SetUserPlaced(true)
MainMenuBar:EnableMouse(false)
MainMenuBar:SetScript("OnMouseDown", MainMenuBar.StartMoving)
MainMenuBar:SetScript("OnMouseUp", MainMenuBar.StopMovingOrSizing)


--[[
MainMenuBarLeftEndCap:SetClampedToScreen(true)
MainMenuBarLeftEndCap:SetMovable(true)
MainMenuBarLeftEndCap:EnableMouse(true)
MainMenuBarLeftEndCap:SetScript("OnMouseDown", MainMenuBar.StartMoving)
MainMenuBarLeftEndCap:SetScript("OnMouseUp", MainMenuBar.StopMovingOrSizing)
]]--0810
--[[

MainMenuBar:SetPoint("BOTTOMRIGHT", -100,0)
	--PossessBarFrame:SetPoint("BOTTOMRIGHT", -100,0)
]]--
VehicleMenuBar:SetMovable(true)
VehicleMenuBar:SetUserPlaced(true)
	VehicleMenuBar:SetPoint("BOTTOMRIGHT", 0,0)
 
--SBar:SetScript("OnEvent", function() SBar:Update(SquishBarDB) end)
--SBar:RegisterEvent("PLAYER_LOGIN")
 
-----------------------
--	  Data Broker	 --
-----------------------
--local SquishBarDB = {Un

function SBar:OnTooltipShow()
    self:AddLine("Left-Click to lock or unlock bar")
--	self:AddLine("Right-Click to lock bar")
end

function SBar.OnClick(display, button)
	if button == "LeftButton" then
--		DEFAULT_CHAT_FRAME:AddMessage("SquishBar: Left Click")
		if MainMenuBar:IsMouseEnabled() == 1 then
			if showme == 1 then 
				b:Show()
			end
			print("SquishBar: Bar is LOCKED in place")
			MainMenuBar:EnableMouse(false)
			SBar.icon = "Interface\\Icons\\INV_torch_unlit.png"
--			SBar.icon = "Interface\\Icons\\INV_belt_44.png"
			SBar.text = "Locked"
			for i=1,12 do
					_G["ActionButton" .. i]:Show()
				end
--			b:Show()
			--elseif button == "RightButton" then
		else
			if showme == 1 then
				b:Hide()
			end
			print("SquishBar: Bar is UNLOCKED and ready to move")
			MainMenuBar:EnableMouse(true)
			SBar.icon = "Interface\\Icons\\INV_torch_thrown.png"
--			SBar.icon = "Interface\\Icons\\INV_belt_44c.png? "
			SBar.text = "Unlocked"
				for i=1,12 do
					_G["ActionButton" .. i]:Hide()
				end
--			b:Hide()
		end
	elseif button == "RightButton" then
			WowLuaFrame:Show()
	end
end

--[[---------------		Version History		----------------------------------

	v. 0.5
		- 
	v. 0.4
		- Made UN/Lockable via LDB
	v. 0.3
		- Made Movable
	v. 0.2
		- Broke away from LibJostle
	v. 0.1
		- Stripped out nMainBar v 2.1 and added in Vehicle UI Pos. and Scaling
--]]--------------------------------------------------------------------------